# Uses of Interface
org.apache.sling.distribution.journal.impl.discovery.TopologyChangeHandler

Packages that use TopologyChangeHandler
Package
Description
org.apache.sling.distribution.journal.impl.discovery
org.apache.sling.distribution.journal.impl.publisher

## Uses of TopologyChangeHandler in org.apache.sling.distribution.journal.impl.discovery

Constructors in org.apache.sling.distribution.journal.impl.discovery with parameters of type TopologyChangeHandler
Modifier
Constructor
Description
``
`DiscoveryService(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, TopologyChangeHandler topologyChangeHandler, org.osgi.service.event.EventAdmin eventAdmin)`

## Uses of TopologyChangeHandler in org.apache.sling.distribution.journal.impl.publisher

Classes in org.apache.sling.distribution.journal.impl.publisher that implement TopologyChangeHandler
Modifier and Type
Class
Description
`class`
`PackageDistributedNotifier`